=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2005-10-30 14:56:26 +0000
+++ bzrlib/commands.py	2005-11-07 21:40:55 +0000
@@ -535,28 +535,28 @@
     except BzrCommandError, e:
         # command line syntax error, etc
         log_error(str(e))
-        return 1
+        return 3
     except BzrError, e:
         bzrlib.trace.log_exception()
-        return 1
+        return 3
     except AssertionError, e:
         bzrlib.trace.log_exception('assertion failed: ' + str(e))
         return 3
     except KeyboardInterrupt, e:
         bzrlib.trace.log_exception('interrupted')
-        return 2
+        return 3
     except Exception, e:
         import errno
         if (isinstance(e, IOError) 
             and hasattr(e, 'errno')
             and e.errno == errno.EPIPE):
             bzrlib.trace.note('broken pipe')
-            return 2
+            return 3
         else:
             ## import pdb
             ## pdb.pm()
             bzrlib.trace.log_exception()
-            return 2
+            return 3
 
 if __name__ == '__main__':
     sys.exit(main(sys.argv))

=== modified file 'bzrlib/selftest/blackbox.py'
--- bzrlib/selftest/blackbox.py	2005-11-06 20:31:07 +0000
+++ bzrlib/selftest/blackbox.py	2005-11-07 21:40:55 +0000
@@ -67,11 +67,11 @@
         self.assert_(os.path.exists('subdir1'))
         self.assert_(os.path.exists('subdir1/.bzr'))
 
-        self.runbzr('init subdir2/nothere', retcode=2)
+        self.runbzr('init subdir2/nothere', retcode=3)
         
         os.mkdir('subdir2')
         self.runbzr('init subdir2')
-        self.runbzr('init subdir2', retcode=1)
+        self.runbzr('init subdir2', retcode=3)
 
         self.runbzr('init subdir2/subsubdir1')
         self.assert_(os.path.exists('subdir2/subsubdir1/.bzr'))
@@ -120,14 +120,14 @@
 
 
     def test_invalid_commands(self):
-        self.runbzr("pants", retcode=1)
-        self.runbzr("--pants off", retcode=1)
-        self.runbzr("diff --message foo", retcode=1)
+        self.runbzr("pants", retcode=3)
+        self.runbzr("--pants off", retcode=3)
+        self.runbzr("diff --message foo", retcode=3)
 
     def test_empty_commit(self):
         self.runbzr("init")
         self.build_tree(['hello.txt'])
-        self.runbzr("commit -m empty", retcode=1)
+        self.runbzr("commit -m empty", retcode=3)
         self.runbzr("add hello.txt")
         self.runbzr("commit -m added")
 
@@ -135,7 +135,7 @@
         self.runbzr("init")
         file('foo.c', 'wt').write('int main() {}')
         self.runbzr(['add', 'foo.c'])
-        self.runbzr(["commit", "-m", ""] , retcode=1) 
+        self.runbzr(["commit", "-m", ""] , retcode=3) 
 
     def test_other_branch_commit(self):
         # this branch is to ensure consistent behaviour, whether we're run
@@ -152,10 +152,10 @@
         self.runbzr(['add', 'branch/foo.c'])
         self.runbzr(['add', 'branch'])
         # can't commit files in different trees; sane error
-        self.runbzr('commit -m newstuff branch/foo.c .', retcode=1)
+        self.runbzr('commit -m newstuff branch/foo.c .', retcode=3)
         self.runbzr('commit -m newstuff branch/foo.c')
         self.runbzr('commit -m newstuff branch')
-        self.runbzr('commit -m newstuff branch', retcode=1)
+        self.runbzr('commit -m newstuff branch', retcode=3)
 
 
     def test_ignore_patterns(self):
@@ -374,10 +374,10 @@
         os.chdir('../a')
         file('hello', 'wt').write('quuux')
         # We can't merge when there are in-tree changes
-        self.runbzr('merge ../b', retcode=1)
+        self.runbzr('merge ../b', retcode=3)
         self.runbzr(['commit', '-m', "Like an epidemic of u's"])
         self.runbzr('merge ../b -r last:1..last:1 --merge-type blooof',
-                    retcode=1)
+                    retcode=3)
         self.runbzr('merge ../b -r last:1..last:1 --merge-type merge3')
         self.runbzr('revert --no-backup')
         self.runbzr('merge ../b -r last:1..last:1 --merge-type weave')
@@ -437,12 +437,12 @@
         os.chdir('a')
 
         self.example_branch()
-        self.runbzr('pull', retcode=1)
-        self.runbzr('missing', retcode=1)
+        self.runbzr('pull', retcode=3)
+        self.runbzr('missing', retcode=3)
         self.runbzr('missing .')
         self.runbzr('missing')
         self.runbzr('pull')
-        self.runbzr('pull /', retcode=1)
+        self.runbzr('pull /', retcode=3)
         self.runbzr('pull')
 
         os.chdir('..')
@@ -462,7 +462,7 @@
         os.chdir('../b')
         self.runbzr('commit -m blah3 --unchanged')
         # no overwrite
-        self.runbzr('pull ../a', retcode=1)
+        self.runbzr('pull ../a', retcode=3)
         os.chdir('..')
         self.runbzr('branch b overwriteme')
         os.chdir('overwriteme')
@@ -502,7 +502,7 @@
         open('a', 'wb').write('hello\n')
 
         # Can't supply both
-        bzr('ls --verbose --null', retcode=1)
+        bzr('ls --verbose --null', retcode=3)
 
         ls_equals('a\n')
         ls_equals('?        a\n', '--verbose')
@@ -595,8 +595,8 @@
         os.chdir('a')
         self.runbzr('init')
         self.runbzr('commit -m unchanged --unchanged')
-        self.runbzr('pull', retcode=1)
-        self.runbzr('merge', retcode=1)
+        self.runbzr('pull', retcode=3)
+        self.runbzr('merge', retcode=3)
         self.runbzr('branch . ../b')
         os.chdir('../b')
         self.runbzr('pull')
@@ -613,7 +613,7 @@
         os.chdir('../b')
         self.runbzr('pull')
         os.chdir('../d')
-        self.runbzr('pull', retcode=1)
+        self.runbzr('pull', retcode=3)
         self.runbzr('pull ../a --remember')
         self.runbzr('pull')
         
@@ -641,7 +641,7 @@
     def test_unknown_command(self):
         """Handling of unknown command."""
         out, err = self.run_bzr_captured(['fluffy-badger'],
-                                         retcode=1)
+                                         retcode=3)
         self.assertEquals(out, '')
         err.index('unknown command')
 
@@ -682,20 +682,20 @@
         self.runbzr('remerge hello --merge-type weave', retcode=1)
         assert os.path.exists('hello.OTHER')
         file_id = self.runbzr('file-id hello')
-        file_id = self.runbzr('file-id hello.THIS', retcode=1)
+        file_id = self.runbzr('file-id hello.THIS', retcode=3)
         self.runbzr('remerge --merge-type weave', retcode=1)
         assert os.path.exists('hello.OTHER')
         assert not os.path.exists('hello.BASE')
         assert '|||||||' not in conflict_text
         assert 'hi world' not in conflict_text
-        self.runbzr('remerge . --merge-type weave --show-base', retcode=2)
-        self.runbzr('remerge . --merge-type weave --reprocess', retcode=2)
-        self.runbzr('remerge . --show-base --reprocess', retcode=1)
+        self.runbzr('remerge . --merge-type weave --show-base', retcode=3)
+        self.runbzr('remerge . --merge-type weave --reprocess', retcode=3)
+        self.runbzr('remerge . --show-base --reprocess', retcode=3)
         self.runbzr('remerge hello --show-base', retcode=1)
         self.runbzr('remerge hello --reprocess', retcode=1)
         self.runbzr('resolve --all')
         self.runbzr('commit -m done',)
-        self.runbzr('remerge', retcode=1)
+        self.runbzr('remerge', retcode=3)
 
 
     def test_conflicts(self):
@@ -721,7 +721,7 @@
         self.runbzr('resolve hello')
         result = self.runbzr('conflicts', backtick=1)
         self.assertEquals(result, "question\n")
-        self.runbzr('commit -m conflicts', retcode=1)
+        self.runbzr('commit -m conflicts', retcode=3)
         self.runbzr('resolve --all')
         result = self.runbzr('conflicts', backtick=1)
         self.runbzr('commit -m conflicts')
@@ -771,7 +771,7 @@
         self.example_branch()
 
         # with no push target, fail
-        self.runbzr('push', retcode=1)
+        self.runbzr('push', retcode=3)
         # with an explicit target work
         self.runbzr('push ../output-branch')
         # with an implicit target work
@@ -791,7 +791,7 @@
         self.runbzr('commit --unchanged -m unchanged')
         os.chdir('../my-branch')
         # cannot push now
-        self.runbzr('push', retcode=1)
+        self.runbzr('push', retcode=3)
         # and there are difference
         self.runbzr('missing ../output-branch', retcode=1)
         # but we can force a push
@@ -800,7 +800,7 @@
         self.runbzr('missing ../output-branch')
         
         # pushing to a new dir with no parent should fail
-        self.runbzr('push ../missing/new-branch', retcode=1)
+        self.runbzr('push ../missing/new-branch', retcode=3)
         # unless we provide --create-prefix
         self.runbzr('push --create-prefix ../missing/new-branch')
         # nothing missing
@@ -872,13 +872,13 @@
         runbzr("help st")
         runbzr("help")
         runbzr("help commands")
-        runbzr("help slartibartfast", 1)
+        runbzr("help slartibartfast", 3)
 
         out = capture("help ci")
         out.index('aliases: ')
 
         progress("can't rename unversioned file")
-        runbzr("rename test.txt new-test.txt", 1)
+        runbzr("rename test.txt new-test.txt", 3)
 
         progress("adding a file")
 
@@ -898,9 +898,9 @@
 
         progress("more complex renames")
         os.mkdir("sub1")
-        runbzr("rename hello.txt sub1", 1)
-        runbzr("rename hello.txt sub1/hello.txt", 1)
-        runbzr("move hello.txt sub1", 1)
+        runbzr("rename hello.txt sub1", 3)
+        runbzr("rename hello.txt sub1/hello.txt", 3)
+        runbzr("move hello.txt sub1", 3)
 
         runbzr("add sub1")
         runbzr("rename sub1 sub2")
@@ -958,7 +958,7 @@
         runbzr('log')
         runbzr('log -v')
         runbzr('log -v --forward')
-        runbzr('log -m', retcode=1)
+        runbzr('log -m', retcode=3)
         log_out = capture('log -m commit')
         self.assert_("this is my new commit\n  and" in log_out)
         self.assert_("rename nested" not in log_out)

=== modified file 'bzrlib/selftest/test_bad_files.py'
--- bzrlib/selftest/test_bad_files.py	2005-09-18 16:09:41 +0000
+++ bzrlib/selftest/test_bad_files.py	2005-11-07 21:40:55 +0000
@@ -89,5 +89,5 @@
 
         # We should raise an error if we are adding a bogus file
         # Is there a way to test the actual error that should be raised?
-        self.run_bzr('add', 'a-fifo', retcode=1)
+        self.run_bzr('add', 'a-fifo', retcode=3)
 

=== modified file 'bzrlib/selftest/test_revision_info.py'
--- bzrlib/selftest/test_revision_info.py	2005-09-19 06:05:19 +0000
+++ bzrlib/selftest/test_revision_info.py	2005-11-07 21:40:55 +0000
@@ -28,7 +28,7 @@
         The output is supplied first, so that you can supply a variable
         number of arguments to bzr.
         """
-        self.assertEquals(self.run_bzr_captured(args, retcode=1)[1], output)
+        self.assertEquals(self.run_bzr_captured(args, retcode=3)[1], output)
 
     def check_output(self, output, *args):
         """Verify that the expected output matches what bzr says.

=== modified file 'bzrlib/selftest/versioning.py'
--- bzrlib/selftest/versioning.py	2005-10-30 23:58:46 +0000
+++ bzrlib/selftest/versioning.py	2005-11-07 21:40:55 +0000
@@ -39,7 +39,7 @@
         self.run_bzr('mkdir', 'foo')
         self.assert_(os.path.isdir('foo'))
 
-        self.run_bzr('mkdir', 'foo', retcode=2)
+        self.run_bzr('mkdir', 'foo', retcode=3)
 
         from bzrlib.diff import compare_trees
         from bzrlib.branch import Branch

